> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get stake pool/validator rewards metrics

> This endpoint returns the historical rewards earned by a single stake pool/validator.

Using this endpoint, you can query the historical daily rewards of a stake pool/validator by their unique `poolId`, which is a hash in the form of `pool` + 52 characters (ex: `pool12vx0utf438rpxskmvwm870vpz6qnurdqekzjea39jzl7gs3hhhl`) or `poolHashId` which is the hashed version of the `poolId`. These rewards are denominated in ADA.

`totalRealizedDelegatorRewards` and `totalRealizedValidatorRewards` refer to rewards already distributed to the members/delegators and stake pool owners/validators respectively based on the epoch when they were distributed. Meanwhile, `totalEarnedDelegatorRewards` and `totalEarnedValidatorRewards` refer to the rewards earned for an epoch but not yet distributed. These rewards are already net of the 20% cut that the treasury takes.

In terms of timing, we align these rewards according to the day when an epoch ended.


## OpenAPI

````yaml get /v1/cardano/validators/{pool_id}/rewards
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/cardano/validators/{pool_id}/rewards:
    get:
      tags:
        - Cardano Rewards
      summary: Get stake pool/validator rewards metrics
      description: >-
        This endpoint returns the historical rewards earned by a single stake
        pool/validator.
      operationId: get_validator_rewards_v1_cardano_validators__pool_id__rewards_get
      parameters:
        - name: pool_id
          in: path
          required: true
          schema:
            type: string
            title: Pool Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 10
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: fromDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Start date
            examples:
              - '2023-01-01'
            title: Fromdate
          description: Start date
        - name: toDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: End date
            examples:
              - '2023-12-31'
            title: Todate
          description: End date
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__73
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__73:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            properties:
              day:
                type: string
                format: date
                title: Day
              epoch:
                type: integer
                title: Epoch
              fromBlockNumber:
                type: integer
                title: Fromblocknumber
              toBlockNumber:
                type: integer
                title: Toblocknumber
              fromSlotNumber:
                type: integer
                title: Fromslotnumber
              toSlotNumber:
                type: integer
                title: Toslotnumber
              poolId:
                type: string
                title: Poolid
              poolName:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Poolname
              poolTicker:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Poolticker
              poolOwnerStakeAddresses:
                items:
                  type: string
                type: array
                title: Poolownerstakeaddresses
              poolHashId:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Poolhashid
              totalRealizedDelegatorRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Totalrealizeddelegatorrewards
              totalRealizedValidatorRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Totalrealizedvalidatorrewards
              totalEarnedDelegatorRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Totalearneddelegatorrewards
              totalEarnedValidatorRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Totalearnedvalidatorrewards
              poolFee:
                anyOf:
                  - type: number
                  - type: string
                title: Poolfee
              poolFlatFee:
                anyOf:
                  - type: number
                  - type: string
                title: Poolflatfee
            type: object
            required:
              - day
              - epoch
              - fromBlockNumber
              - toBlockNumber
              - fromSlotNumber
              - toSlotNumber
              - poolId
              - poolOwnerStakeAddresses
              - totalRealizedDelegatorRewards
              - totalRealizedValidatorRewards
              - totalEarnedDelegatorRewards
              - totalEarnedValidatorRewards
              - poolFee
              - poolFlatFee
            title: CardanoValidatorRewards
            examples:
              - day: '2025-01-01'
                epoch: 531
                fromBlockNumber: 11292758
                fromSlotNumber: 144123334
                poolFee: 0.015
                poolFlatFee: 340
                poolHashId: 153806dbcd134ddee69a8c5204e38ac80448f62342f8c23cfe4b7edf
                poolId: pool1z5uqdk7dzdxaae5633fqfcu2eqzy3a3rgtuvy087fdld7yws0xt
                poolName: OctasPool
                poolOwnerStakeAddresses:
                  - stake1uy89kzrdlpaz5rzu8x95r4qnlpqhd3f8mf09edjp73vcs3qhktrtm
                poolTicker: OCTAS
                toBlockNumber: 11297086
                toSlotNumber: 144209693
                totalEarnedDelegatorRewards: 3636438.165
                totalEarnedValidatorRewards: 3652841.165
                totalRealizedDelegatorRewards: 3636438.165
                totalRealizedValidatorRewards: 3652841.165
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedV1DetailCardanoValidatorRewards
      examples:
        - next: >-
            https://api.rated.network//v1/cardano/validators/{pool_id}/rewards?limit=10&offset=30
          pages: 10
          previous: >-
            https://api.rated.network//v1/cardano/validators/{pool_id}/rewards?limit=10&offset=10
          results:
            - - day: '2025-01-01'
                epoch: 531
                fromBlockNumber: 11292758
                fromSlotNumber: 144123334
                poolFee: 0.015
                poolFlatFee: 340
                poolHashId: 153806dbcd134ddee69a8c5204e38ac80448f62342f8c23cfe4b7edf
                poolId: pool1z5uqdk7dzdxaae5633fqfcu2eqzy3a3rgtuvy087fdld7yws0xt
                poolName: OctasPool
                poolOwnerStakeAddresses:
                  - stake1uy89kzrdlpaz5rzu8x95r4qnlpqhd3f8mf09edjp73vcs3qhktrtm
                poolTicker: OCTAS
                toBlockNumber: 11297086
                toSlotNumber: 144209693
                totalEarnedDelegatorRewards: 3636438.165
                totalEarnedValidatorRewards: 3652841.165
                totalRealizedDelegatorRewards: 3636438.165
                totalRealizedValidatorRewards: 3652841.165
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````